# MAX3010x Sensor Library
This is an Arduino library for the MAX3010x family of pulseoximetry sensors.

For details on the sensors please refer to their datasheets.

This library was written by Daniel Wiese (DevXplained).
Redistribution is possible under the terms of the MIT license.

# References
* MAX30100: [https://datasheets.maximintegrated.com/en/ds/MAX30100.pdf](https://datasheets.maximintegrated.com/en/ds/MAX30100.pdf)
* MAX30101: [https://datasheets.maximintegrated.com/en/ds/MAX30101.pdf](https://datasheets.maximintegrated.com/en/ds/MAX30101.pdf)
* MAX30102: [https://datasheets.maximintegrated.com/en/ds/MAX30102.pdf](https://datasheets.maximintegrated.com/en/ds/MAX30102.pdf)
* MAX30105: [https://datasheets.maximintegrated.com/en/ds/MAX30105.pdf](https://datasheets.maximintegrated.com/en/ds/MAX30105.pdf)

# More Information
If you want more information on how to use this library you can look at the following tutorial series:
- Part 1: Acquiring data - [https://devxplained.eu/en/blog/max3010x-pulse-oximeter-modules-part-1](https://devxplained.eu/en/blog/max3010x-pulse-oximeter-modules-part-1)
- Part 2: Simpler detection algorithm - [https://devxplained.eu/en/blog/max3010x-pulse-oximeter-modules-part-2](https://devxplained.eu/en/blog/max3010x-pulse-oximeter-modules-part-2)
- Part 3: More advanced heart rate algorithm - [https://devxplained.eu/en/blog/max3010x-pulse-oximeter-modules-part-3](https://devxplained.eu/en/blog/max3010x-pulse-oximeter-modules-part-3)
- Part 4: SpO2 Measurements - [https://devxplained.eu/en/blog/max3010x-pulse-oximeter-modules-part-4](https://devxplained.eu/en/blog/max3010x-pulse-oximeter-modules-part-4)

Part 3 and 4 explain the examples for heart rate and SpO2 measurements.
