/*!
 * @file MAX3010x.h
 * @mainpage MAX3010x Sensor Library
 *
 * This is an Arduino library for the MAX3010x family of PPG and pulse oxymetry sensors.
 * 
 * For details on the sensors please refer to their datasheets.  
 * MAX30100: https://datasheets.maximintegrated.com/en/ds/MAX30100.pdf  
 * MAX30102: https://datasheets.maximintegrated.com/en/ds/MAX30101.pdf  
 * MAX30102: https://datasheets.maximintegrated.com/en/ds/MAX30102.pdf  
 * MAX30105: https://datasheets.maximintegrated.com/en/ds/MAX30105.pdf  
 *
 * This library was written by Daniel Wiese (DevXplained).
 * 
 * Redistribution is possible under the terms of the MIT license.
 */


#ifndef _MAX3010x_H
#define _MAX3010x_H

#include "MAX30100.h"
#include "MAX30101.h"
#include "MAX30102.h"
#include "MAX30105.h"

#endif
